<?php

header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Headers: *');

require '../../modelo/formulario_contacto.php';
require '../usuario/decodeUsuario.php';
require '../../modelo/history.php';
require '../../modelo/global.php';
$response = array();

if (!isset($_POST['id_formulario_contacto'])) {
    $response['response'] = 'error';
    $response['data'] = 'Datos incompletos';
    echo json_encode($response);
    return;
}

$id_formulario_contacto = $_POST['id_formulario_contacto'];
$id_usuario = DecodeUser::handlePostUsuario($_POST['id_usuario']);

if (!$id_usuario) {
    $response['response'] = 'error';
    $response['data'] = 'Id del usuario incorrecto.';
    echo json_encode($response);
    return;
}

$formulario_contacto = FormularioContacto::mdlDeleteFormularioContacto($id_formulario_contacto);

if (!$formulario_contacto) {
    $response['response'] = 'error';
    $response['data'] = 'No se eliminó el formulario de contacto';
    echo json_encode($response);
    return;
}

ModeloHistory::mdlAddNewRegister('delete', 'formulario_contacto', $id_formulario_contacto, $id_usuario, NULL);

$response['response'] = 'success';
$response['data'] = true;

echo json_encode($response);